export default class CarrotCakeComponent {
    onPlayerInteract(e) {
        if (!e.player)
            return;
        const bites = e.block.permutation.getState('twb_wisu:bites');
        if (bites < 6) {
            e.block.setPermutation(e.block.permutation.withState('twb_wisu:bites', bites + 1));
        }
        else {
            e.block.setType('minecraft:air');
        }
        e.player.addEffect('saturation', 1, { showParticles: false, amplifier: 1 });
        e.player.playSound('random.burp', { volume: 0.5, pitch: 0.9 });
    }
}
